<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_2cb499b451eb718f841aaa78dc70cc5" . "2" => base64_decode("IiBmb3IgZGF0ZS10" . "aW1lIGZpZWxkIA=="), "_a7fdbac2a6d0ebb5bb8ea56" . "9e8173d7b" => base64_decode("IiBmb3I" . "gZGF0ZS" . "BmaWVsZ" . "CA="), "_535e3fcb3f5d89c" . "525bb618a08cc8dc" . "c" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElE" . "IG9yIGEgZG9jdW1lbnQgb2JqZWN0"), "_ac927f4168510971a59508" . "f1f08cf98a" => base64_decode("L15cZHs4fS" . "Qv"), "_62d701c3c53404f06345eb357" . "20a47b4" => base64_decode("aXNfbnVtZXJpY" . "w=="), "_fa96cdf58bff3b0695fb2" . "bc0803d7b12" => base64_decode("IGRvZ" . "XMgbm" . "90IGV" . "4aXN0"), "_4b4a03dbe69a4c39db" . "014be2875a7313" => base64_decode("Tm9uLW51bW" . "VyaWMgdmFs" . "dWUgIg=="), "_a827c5bc10" . "b88ccab760d" . "95c58bfbeaa" => base64_decode("Q291bGQgbm90IHBhcnNlIHZhbHVlIC" . "I="), "_bb26699a673361ff7c1" . "7444a2a82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW1lbnQgbGluayBmaWV" . "sZCA="), "_27ba77e34" . "9cbe144e87" . "94d0c0497a" . "106" => base64_decode("IiBnaXZlbiBmb3Igc2VsZWN0IGZpZWxkIA=" . "="), "_3aec16c1aa2104da77" . "8e412207d6c415" => base64_decode("L15cZHsxNH18XGR7OH0k" . "Lw=="), "_bd71c3b5c201" . "fc11db82ed14c" . "e424de5" => base64_decode("aW5fYXJyYX" . "k="), "_d013620d4b36b1d03509c" . "beff31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnV" . "tZXJpYyBmaWVsZCA="), "_d155d43a39de93f858123c6b6ce31" . "d8a" => base64_decode("cHJlZ19tYXR" . "jaA=="), "_66a6b98e1" . "f1601e30de" . "10feb344fc" . "db6" => base64_decode("SW52YWxpZCB2YWx1Z" . "SAi"), "_dc99f29eb97c274b4e47" . "f6701fb2d842" => base64_decode("TWV0YWR" . "hdGEgZm" . "llbGQg"));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_dc99f29eb97c274b4e47f67" . "01fb2d842"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_fa96cdf58bff3b" . "0695fb2bc0803d7" . "b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_62d701c3c53404f06" . "345eb35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4b4a03dbe69a4c39d" . "b014be2875a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d013620" . "d4b36b1d" . "03509cbe" . "ff31bbdb" . "9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d155d43a39de93f858123c6b6ce31" . "d8a"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_3aec16c1aa2104da778e4122" . "07d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_a827c5bc10b" . "88ccab760d95" . "c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2cb499b451eb7" . "18f841aaa78dc7" . "0cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_bd71c3b5c201fc" . "11db82ed14ce424" . "de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_66a6b98e1f1601e30" . "de10feb344fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_27ba77e" . "349cbe14" . "4e8794d0" . "c0497a10" . "6"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_62d701c3c5340" . "4f06345eb35720" . "a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bb26699a6733" . "61ff7c17444a2" . "a82deba"] . $key . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_535e3fcb3f5d89c525bb61" . "8a08cc8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d155d43a39de93f858123c6b6ce3" . "1d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ac927f4168510971a5950" . "8f1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a827c5bc10b" . "88ccab760d95" . "c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_a7fdbac2a6d0ebb5bb8ea569" . "e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}